/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<fcntl.h>
#include	<stdlib.h>
#include	"init.h"
#include	"long_char.h"
#include	"memory_routine.h"
#include	"xl.h"
#include	"utils.h"


void
server_limit_task()
{
	sleep_sec(3*24*3600);
	exit(0);
}


int
_main(int argc,char ** argv)
{
XLISP_ENV * env;
XL_INTERPRETER * xli;
int id;

	init_xl(INI_DONTWAITCHI);
	init_function(gblisp_top_env0,gblisp_top_env1,argc,argv);
	init_server_function(gblisp_top_env0,gblisp_top_env1);
	init_sv_Exit(gblisp_top_env1);
	create_task(server_limit_task,0,1);

	xl_setup_file(argc,argv);

	exit_stabilizer('e');
	return 0;
}
